Page MenuHomePhabricator

Add llvm-libc builders.
Needs RevisionPublic

Authored by sivachandra on Oct 30 2019, 10:50 PM.

Details

Summary

A build factory for libc has been added. This factory makes use of an
annotated step runner.

Diff Detail

Event Timeline

sivachandra created this revision.Oct 30 2019, 10:50 PM
vitalybuka accepted this revision.Oct 31 2019, 11:58 AM
This revision is now accepted and ready to land.Oct 31 2019, 11:58 AM
This revision was automatically updated to reflect the committed changes.
gkistanova reopened this revision.Nov 1 2019, 11:33 AM
gkistanova added a reviewer: gkistanova.
gkistanova added a subscriber: gkistanova.

Thanks for working on this, Siva!

This patch needs a bit more work before it could successfully land.

First of all, it looks like you do not really need a new build factory. You can use AnnotatedBuilder for your purpose. If it misses anything, please feel free to propose a patch improving that factory.

Then, no need to add a scheduler. An automatic scheduler will be assigned to your builder.

Besides that, could you split this patch to a few, since some changes are not related or there is sequential dependency chain.

And for the future. With the relatively large changes, could you let a review item open for long enough so people in different time zones would have a chance to look at it, please?

Thanks

Galina

This revision is now accepted and ready to land.Nov 1 2019, 11:33 AM
gkistanova requested changes to this revision.Nov 1 2019, 11:37 AM

Could you address the above comments, please?

This revision now requires changes to proceed.Nov 1 2019, 11:37 AM